org.apache.ignite.internal.visor.event

## Class VisorGridSecuritySessionEvent

- java.lang.Object
- - org.apache.ignite.internal.visor.event.VisorGridEvent
  - - org.apache.ignite.internal.visor.event.VisorGridSecuritySessionEvent

All Implemented Interfaces:
  Serializable

    public class VisorGridSecuritySessionEvent
    extends VisorGridEvent

Lightweight counterpart for `VisorGridSecuritySessionEvent`.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`VisorGridSecuritySessionEvent(int typeId, IgniteUuid id, String name, UUID nid, long ts, String msg, String shortDisplay, GridSecuritySubjectType subjType, UUID subjId)` Create event with given parameters.

### Method Summary

Methods
`UUID` `subjId()` Gets subject ID that triggered the event.
`GridSecuritySubjectType` `subjType()` Gets subject type that triggered the event.
`String` `toString()`

### Methods inherited from class org.apache.ignite.internal.visor.event.VisorGridEvent

`id, message, name, nid, shortDisplay, timestamp, typeId`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VisorGridSecuritySessionEvent

    public VisorGridSecuritySessionEvent(int typeId,
                                 IgniteUuid id,
                                 String name,
                                 UUID nid,
                                 long ts,
                                 String msg,
                                 String shortDisplay,
                                 GridSecuritySubjectType subjType,
                                 UUID subjId)

Create event with given parameters.

Parameters:
  `typeId` - Event type.
  `id` - Event id.
  `name` - Event name.
  `nid` - Event node ID.
  `ts` - Event timestamp.
  `msg` - Event message.
  `shortDisplay` - Shortened version of `toString()` result.
  `subjType` - Subject type.
  `subjId` - Subject ID.

### Method Detail

#### subjId

    public UUID subjId()

Gets subject ID that triggered the event.

Returns:
  Subject ID that triggered the event.

#### subjType

    public GridSecuritySubjectType subjType()

Gets subject type that triggered the event.

Returns:
  Subject type that triggered the event.

#### toString

    public String toString()

Overrides:
  `toString` in class `VisorGridEvent`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC3
Release Date | : March 24 2015